Bug 1312296 - Review Request: 3dprinter-udev-rules - Rules for udev to give regular users access to operate 3D printers
Review Request: 3dprinter-udev-rules - Rules for udev to give regular users a...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-26 05:51 EST by Miro Hrončok
Modified: 2016-03-25 18:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-09 10:52:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2016-02-26 05:51:16 EST
Spec URL: https://churchyard.fedorapeople.org/SRPMS/3dprinter-udev-rules.spec
SRPM URL: https://churchyard.fedorapeople.org/SRPMS/3dprinter-udev-rules-0.1-1.fc23.src.rpm

Description:
Normally, when you connect a RepRap like 3D printer to a Linux machine by an
USB cable, you need to be in dialout or similar group to be able to control
it via OctoPrint, Printrun, Cura or any other control software. Not any more.
Install this package to grant regular users access to /dev/ttyUSB and
/dev/ttyACM device files.

Fedora Account System Username: churchyard
Comment 1 Zbigniew Jędrzejewski-Szmek 2016-02-27 21:12:26 EST
The idea looks reasonable, but I think the description should be more explicit that the package allows public access to any device of the right class (like on github).

Please use %_udevrulesdir (this means that you need BR: systemd).

Also %udev_rules_update in %post/%postun.
Comment 2 Miro Hrončok 2016-02-28 05:46:40 EST
Spec URL: https://churchyard.fedorapeople.org/SRPMS/3dprinter-udev-rules.spec
SRPM URL: https://churchyard.fedorapeople.org/SRPMS/3dprinter-udev-rules-0.1-1.fc23.src.rpm

Fixed. Thanks.

BTW Do we have some udev rules packaging guidelines? I couldn't find anything.
Comment 3 Zbigniew Jędrzejewski-Szmek 2016-02-28 09:59:03 EST
I didn't test that it actually works, but everything looks OK.

rpmlint only has false spelling suggestions.

Package is APPROVED.
Comment 4 Gwyn Ciesla 2016-02-28 19:07:28 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/3dprinter-udev-rules
Comment 5 Fedora Update System 2016-02-29 10:28:27 EST
3dprinter-udev-rules-0.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-739a9100da
Comment 6 Fedora Update System 2016-02-29 10:29:44 EST
3dprinter-udev-rules-0.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-86837fdc16
Comment 7 Fedora Update System 2016-02-29 18:50:01 EST
3dprinter-udev-rules-0.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-86837fdc16
Comment 8 Fedora Update System 2016-02-29 18:52:14 EST
3dprinter-udev-rules-0.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-739a9100da
Comment 9 Fedora Update System 2016-03-09 10:52:31 EST
3dprinter-udev-rules-0.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-03-09 15:12:37 EST
3dprinter-udev-rules-0.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-03-25 18:23:39 EDT
3dprinter-udev-rules-0.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.